Subject: Love her the right way, the hard way - the LONG AND DEEP way.

From: "senthil Briscar" <[email-masked]>
Date: Tue, 5 Feb 2008 16:18:02 +0200

Love her the right way, the hard way - the LONG AND DEEP way.